curl --request PUT \
--url https://api.loopreturns.com/api/v1/destinations/{id} \
--header 'Content-Type: application/json' \
--header 'X-Authorization: <api-key>' \
--data '
{
"name": "Example Destination",
"type": "warehouse",
"address": {
"address1": "123 Main St",
"city": "Columbus",
"country": "United States",
"country_code": "US",
"name": "Main Warehouse",
"company": "Universal Exports",
"address2": "Unit 456",
"state": "Ohio",
"zip": "43210",
"phone": "+1-678-999-8212"
},
"enabled": true
}
'import requests
url = "https://api.loopreturns.com/api/v1/destinations/{id}"
payload = {
"name": "Example Destination",
"type": "warehouse",
"address": {
"address1": "123 Main St",
"city": "Columbus",
"country": "United States",
"country_code": "US",
"name": "Main Warehouse",
"company": "Universal Exports",
"address2": "Unit 456",
"state": "Ohio",
"zip": "43210",
"phone": "+1-678-999-8212"
},
"enabled": True
}
headers = {
"X-Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Authorization': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Example Destination',
type: 'warehouse',
address: {
address1: '123 Main St',
city: 'Columbus',
country: 'United States',
country_code: 'US',
name: 'Main Warehouse',
company: 'Universal Exports',
address2: 'Unit 456',
state: 'Ohio',
zip: '43210',
phone: '+1-678-999-8212'
},
enabled: true
})
};
fetch('https://api.loopreturns.com/api/v1/destinations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"type": "warehouse",
"name": "Example Destination",
"enabled": true,
"provider_location_id": 42424242,
"address": {
"name": "Main Warehouse",
"company": "Universal Exports",
"address1": "123 Main St",
"address2": "Unit 456",
"city": "Columbus",
"state": "Ohio",
"zip": "43210",
"country": "United States",
"country_code": "US"
}
}{
"errors": "Unauthorized."
}{
"code": "NOT_FOUND",
"message": "The destination could not be found. Please verify that the provided id is correct."
}{
"message": "The name field is required."
}Update Destination
Update a destination.
Required API key scope
- Destinations (Write)
Authorizations
Path Parameters
The destination's unique identifier.
Body
The destination's name.
191"Example Destination"
The type of location represented by the destination.
warehouse, donate "warehouse"
The destination's address.
Show child attributes
Show child attributes
Whether the destination is enabled as a return destination.
true
Response
Success
A physical location such as a warehouse or donation center to which returns are shipped.
The destination's unique identifier.
1
The type of location represented by the destination.
warehouse, donate "warehouse"
The destination's name.
"Example Destination"
Whether the destination is enabled as a return destination.
true
The numeric location identifier from the commerce platform (for example Shopify) when a
location is linked to this destination in Loop. null when no location is linked. The
linked location's source field indicates which provider the ID belongs to.
42424242
The destination's address.
Show child attributes
Show child attributes